Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.compiler
Class FuncLoader

    java.lang.Object
      |
      +--weblogic.apache.xpath.compiler.FuncLoader

public class FuncLoader
extends java.lang.Object

Lazy load of functions into the function table as needed, so we don't have to load all the functions allowed in XPath and XSLT on startup.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`FuncLoader(java.lang.String funcName, int funcID)` Construct a function loader

Method Summary
`Function` | `getFunction()` Get a Function instance that this instance is liaisoning for.
`java.lang.String` | `getName()` Get the local class name of the function class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncLoader

    public FuncLoader(java.lang.String funcName,
                      int funcID)

  Construct a function loader

  Parameters:
    `funcName` - The class name of the {weblogic.apache.xpath.functions.Function} class, which, if it does not have a '.' in it, is assumed to be relative to 'weblogic.apache.xpath.functions'.
    `funcID` - The function ID, which may correspond to one of the FUNC_XXX values found in `FunctionTable`, but may be a value installed by an external module.

Method Detail

### getName

    public java.lang.String getName()

  Get the local class name of the function class. If function name does not have a '.' in it, it is assumed to be relative to 'weblogic.apache.xpath.functions'.

  Returns:
    The class name of the {weblogic.apache.xpath.functions.Function} class.

### getFunction

    public Function getFunction()
                         throws javax.xml.transform.TransformerException

  Get a Function instance that this instance is liaisoning for.

  Returns:
    non-null reference to Function derivative.
  Throws:
    javax.xml.transform.TransformerException - if ClassNotFoundException, IllegalAccessException, or InstantiationException is thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference